# Search Domain Docs

本项目实现了批量生成域名，批量检索可用域名的功能，检索域名可用性飞速。

## 原理介绍

### 批量生成域名

根据数据（拼音，英文）等双拼组合，数据文件夹： data/a.csv, b.csv 。执行如下命令：

```
searchdomain generate --lang zh --keyword gpt,go --position prefix --domain io,com,cn

```

--lang zh 表示拼音组合，en表示英语单词组合
--keyword gpt,go 表示关键词，和双拼词库组合
--position prefix 表示生成的双拼在前还是在后
--domain io,com,cn 表示域名后缀



### 批量检索域名

基于 whois 方法高效验证域名的可用性，相较于通过其他网站的API方法速度快上10倍，配合多线程能够实现百倍加速检索。

由于 DNS 服务器的安全限制，请求过多过快会拒绝返回。只需要休息一会就可以了。

```
searchdomain search --input domain.txt --output result.txt
```
先生成域名，然后依据 domain.txt 域名列表，进行批量检索是否域名可用。


